/*
 * Fast Fourier Transform by Margaris
 */
#ifndef FFT_H
#define FFT_H

#include <cmath>
#include <stdlib.h>

#define PI 3.1415926535897932

namespace fft{ 
	int bit_swap(int i, int nu);
	void swap(double x1, double x2);
	void fft(double * real_data, double * imag_data, int n_pts,  int inv);
};
#endif

